## org.apache.lucene.analysis.ru
Class RussianStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.ru.RussianStemFilter

    public final class RussianStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that stems Russian words.

The implementation was inspired by GermanStemFilter. The input should be filtered by `RussianLowerCaseFilter` before passing it to RussianStemFilter , because RussianStemFilter only works with lowercase part of any "russian" charset.

Version:
  $Id: RussianStemFilter.java 808427 2009-08-27 14:28:22Z hossman $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianStemFilter(org.apache.lucene.analysis.TokenStream in)`
`RussianStemFilter(org.apache.lucene.analysis.TokenStream in, char[] charset)` Deprecated. Use `RussianStemFilter(TokenStream)` instead.

Method Summary
`boolean` `incrementToken()` Returns the next token in the stream, or null at EOS
`void` `setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)` Set a alternative/custom `RussianStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RussianStemFilter

    public RussianStemFilter(org.apache.lucene.analysis.TokenStream in,
                             char[] charset)

  Deprecated. Use `RussianStemFilter(TokenStream)` instead.

### RussianStemFilter

    public RussianStemFilter(org.apache.lucene.analysis.TokenStream in)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws java.io.IOException

  Returns the next token in the stream, or null at EOS

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### setStemmer

    public void setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)

  Set a alternative/custom `RussianStemmer` for this filter.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.